Email a payment receipt

POST
/v1/merchants/payments/{paymentId}/receipt

Authorization

apiKey
headerApi-Key<token>

Partner API key.

Path Parameters

paymentId*string

Payment ID to send the receipt for

Match^pay_[A-Za-z0-9]+$
Length1 <= length <= 64

Header Parameters

Merchant-Id*string

Merchant identifier.

WCP-Version?string

Optional WalletConnect Pay API version override. If omitted, the partner's pinned version is used.

Request Body

application/json
  1. body
email*string

Customer email address to send the receipt to

Match^(?:[A-Za-z0-9_'+\-]+\.)*[A-Za-z0-9_'+\-]*[A-Za-z0-9_+-]@(?:[A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$
Formatemail
Lengthlength <= 320

Response Body

Receipt sent, or already sent before

application/json
  1. response
paymentId*string

Payment ID the receipt is for

status*string

sent: the receipt is on its way. already_sent: a receipt for this payment was already sent, so no new email was sent.

Value in"sent""already_sent"
curl -X POST 'https://api.merchant.pay.walletconnect.com/v1/merchants/payments/pay_a1a2ecc101KGF210FP7PN3BK08PZARS1CZ/receipt' \  -H 'Merchant-Id: acme-store-1' \  -H 'Content-Type: application/json' \  -d '{  "email": "customer@example.com"}'
{  "paymentId": "pay_a1a2ecc101KGF210FP7PN3BK08PZARS1CZ",  "status": "sent"}